
Infrastructure - Task #1567

Support # 1566 (Closed): member node web testing

re-implement test running servlet to generalize solution for all types of xUnit tests

2011-05-16 21:36 - Rob Nahf

Status: Rejected Start date: 2011-05-16

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 50%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone:  Story Points:  

Product Version: *   

Description

The proof of concept runs the JUnit tests within the servlet process (via JUnitCore java class).  But that will not run integration tests

built in python, for example.  The logical test runner is the one for maven, as it will allow triggering from command line and servlet,

etc.

History

#1 - 2011-05-23 17:51 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 50

- translation missing: en.field_remaining_hours set to 8.0

Writing a test runner that will run under the mvn integration-test task.  Maven's surefire junit plugin doesn't find tests that are outside of src/test/, so

am writing a test that finds and runs tests (through junit.run).

#2 - 2011-05-27 19:48 - Rob Nahf

- Status changed from In Progress to Rejected

- translation missing: en.field_remaining_hours deleted (8.0)

Implementation is currently impractical, since a deployed solution would require installing maven, or the same scripts used to run python.  After finding

failsafe plugin, tests are staying in src/test/java.  A new task for the new approach will be created.
